List protected networks
curl --request GET \
--url https://api.gcore.com/security/sifter/v3/protected_networks \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/security/sifter/v3/protected_networks"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/security/sifter/v3/protected_networks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 25,
"next": "https://api.example.com/v2/configs?offset=10&limit=10",
"results": []
}{}{}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Protected Networks
List protected networks
List paginated response of protected networks (filtered, sorted). Sorting by default is by ‘created_at’ field desc.
GET
/
security
/
sifter
/
v3
/
protected_networks
List protected networks
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Query Parameters
Required range:
x >= 1Required range:
x >= 0Available options:
PENDING, APPROVED, REJECTED, DELETED A positive integer ID
Required range:
1 <= x <= 1000000000Ordering, e.g. 'created_at,client_id,gre_endpoint,network'
Maximum string length:
255Was this page helpful?